Stock adjustments
Get stock adjustment details
Retrieves the specific details of a single stock adjustment using its unique identifier.
Retrieves the specific details of a single stock adjustment using its unique identifier.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
StockAdjustment identifier
Response Body
application/json
curl -X GET "https://api.skalasuite.com/api/stock_adjustments/string"{
"id": 0,
"code": "string",
"series": "string",
"number": 0,
"reason": "string",
"adjustmentDate": "2019-08-24T14:15:22Z",
"description": "string",
"items": [
{
"id": 0,
"stock": {
"id": 0,
"unit": {
"id": 0,
"name": "string"
},
"currency": {
"id": 0,
"code": "string"
},
"trackType": "string"
},
"stockVariant": {
"name": "string"
},
"quantity": "string",
"inStock": "string",
"unitPrice": "string",
"totalPrice": "string",
"normalizedUnitPrice": "string",
"normalizedTotalPrice": "string",
"barcode": "string",
"expirationDate": "2019-08-24T14:15:22Z",
"currentAmount": 0,
"batchNumber": "string"
}
],
"location": {
"id": 0,
"name": "string"
}
}Empty
